// -*- coding: utf-8 -*-
// Title:
// Name: Repla.sc
// Comment: cdmorris1971cs
// JackDole 2016.10.31 17:26:25

//------------------------------------------------------------------------------

Planet	"Repla"
{
    ParentBody  "Lalande 21185"
    Class       "Terra"

    Mass        0.921704
    Radius      6580.81

    Oblateness      0.002341

    RotationPeriod  31.384
    Obliquity       179.548
    EqAscendNode    -6.40661

    Albedo          0.302652
    Brightness      2
    Color          (1.000 0.522 0.256)

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial"
    }

    Surface
    {
        SurfStyle       0.640237
        OceanStyle      0.896036
        Randomize      (-0.649, 0.366, 0.782)
        colorDistMagn   0.0777613
        colorDistFreq   662.523
        detailScale     33852.4
        colorConversion true
        drivenDarkening -1
        seaLevel        0.432776
        snowLevel       0.983061
        tropicLatitude  0.479081
        icecapLatitude  1
        icecapHeight    0.432776
        climatePole     0.9375
        climateTropic   0.328373
        climateEquator  0.6875
        heightTempGrad  0.609127
        tropicWidth     0.0717334
        mainFreq        1.31768
        venusFreq       0.983061
        venusMagn       0.0396825
        mareFreq        2.71826
        mareDensity     0.0609283
        terraceProb     0.341554
        erosion         0.126002
        montesMagn      0.212249
        montesFreq      260.907
        montesSpiky     0.898276
        montesFraction  0.533608
        dunesMagn       0.0532665
        dunesFreq       53.4982
        dunesFraction   0.179767
        hillsMagn       0.124576
        hillsFreq       512.049
        hillsFraction   0.437436
        hills2Fraction  0.268316
        riversMagn      66.9982
        riversFreq      2.65806
        riversSin       4.84828
        riversOctaves   2
        canyonsMagn     0.0629477
        canyonsFreq     86.6155
        canyonFraction  0.640237
        cracksMagn      0.0904933
        cracksFreq      0.708956
        cracksOctaves   0
        craterMagn      0.573105
        craterFreq      17.5131
        craterDensity   0.895343
        craterOctaves   13
        craterRayedFactor 0
        volcanoMagn     0.628638
        volcanoFreq     0.854578
        volcanoDensity  0.4
        volcanoOctaves  3
        volcanoActivity 1.31465
        volcanoFlows    0.609477
        volcanoRadius   0.616435
        volcanoTemp     1457.49
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     1.98994
        stripeTwist     0.11094
        cycloneMagn     2.13668
        cycloneFreq     0.664002
        cycloneDensity  0.0346311
        cycloneOctaves  0
        colorSea       (0.040, 0.200, 0.100, 1.000)
        colorShelf     (0.150, 0.460, 0.280, 1.000)
        colorBeach     (0.780, 0.750, 0.740, 0.000)
        colorDesert    (0.470, 0.420, 0.390, 0.000)
        colorLowland   (0.270, 0.250, 0.230, 0.000)
        colorUpland    (0.490, 0.480, 0.460, 0.000)
        colorRock      (0.260, 0.240, 0.230, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.010, 0.010, 0.010, 0.000)
        colorUpPlants  (0.020, 0.030, 0.080, 0.000)
        BumpHeight      22.9273
        BumpOffset      12.7266
        DiffMapAlpha   "Water"
        SpecBrightWater 1.5
        SpecBrightIce   1.5
        SpecularPower   40
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }
    
    Ocean
    {
        Height          9.9224
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }

    Atmosphere
    {
        Model          "Earth"
        Height          68.1292
        Density         1.01876
        Pressure        1.07584
        Greenhouse      42.8571
        Bright          7.77778
        Opacity         0.888889
        SkyLight        3.33333
        Hue             0
        Saturation      1

        Composition
        {
            N2    	74.4363
            O2    	24.4204
            H2O   	0.531385
            CO2   	0.423002
            Ar    	0.188853
        }
    }

    Rings
    {
        InnerRadius     7778.28
        OuterRadius     20345.8
        RotationPeriod  4.81237
        RotationOffset  267.932
        FrontBright     1
        BackBright      1
        Density         1
        Brightness      1
    }

    Orbit
    {
        RefPlane        "Extrasolar"
        SemiMajorAxis   0.113235
        Period          0.0859252
        Eccentricity    0
        Inclination     29.0772
    }
}

Moon "Repla I"
{
    ParentBody  "Repla"
    Class       "Selena"
    
    Radius      624.095157
    
    Orbit
    {
        RefPlane       "Equator"
        SemiMajorAxis   0.00056672
        Eccentricity    0.00639739
        Inclination     1.21508789
        AscendingNode   123.244629
        ArgOfPericen    253.894043
    }
}
Moon "Repla II"
{
    ParentBody  "Repla"
    Class       "Desert"
    
    Radius      1282.564348
    
    Orbit
    {
        RefPlane       "Equator"
        SemiMajorAxis   0.0012789
        Eccentricity    0.001343
        Inclination     -1.357544
        AscendingNode   109.874268
        ArgOfPericen    267.758789
    }
}

DwarfMoon "Repla III"
{
    ParentBody  "Repla"
    Class       "Asteroid"
    
    Radius      138.582375
    
    Orbit
    {
        RefPlane       "Equator"
        SemiMajorAxis   0.001590
        Eccentricity    0.009962
        Inclination     -0.954285
        AscendingNode   5.383301
        ArgOfPericen    225.933838
    }
}

//------------------------------------------------------------------------------

